package com.agilex.healthcare.schedulingmanager.domain;


import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Created by
 * User: ralph
 * Date: 10/2/13
 * Time: 5:04 PM
 */
@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "cancelReason", namespace = Namespace.SchedulingManager)
public class CancelReason implements Serializable {

    private static final long serialVersionUID = -4279386965345393311L;

    @XmlElement
    private String      number = "0";

    @XmlElement
    private String      text = "";


    public CancelReason() {
    }

    public CancelReason(String number, String text) {
        setNumber(number);
        setText(text);
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}